VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::metamodel::ConstantInfo Class Reference

The `ConstantInfo` class contains metamodel information of the constant elements. More...

List of all members.

## Public Member Functions
| ConstantInfo ()
| Creates a default new instance.
vmware.vapi.metadata.metamodel.Type | Get_Type ()
| Type of the constant element.
void | SetType (vmware.vapi.metadata.metamodel.Type type)
| Type of the constant element.
vmware.vapi.metadata.metamodel.ConstantValue | GetValue ()
| Value of the constant element.
void | SetValue (vmware.vapi.metadata.metamodel.ConstantValue value_)
| Value of the constant element.
string | GetDocumentation ()
| English language documentation for the constant element.
void | SetDocumentation (string documentation)
| English language documentation for the constant element.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `ConstantInfo` class contains metamodel information of the constant elements.

## Constructor & Destructor Documentation

vmware::vapi::metadata::metamodel::ConstantInfo::ConstantInfo | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vapi::metadata::metamodel::ConstantInfo::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vapi::metadata::metamodel::ConstantInfo::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vapi::metadata::metamodel::ConstantInfo::_GetType | ( |  | ) | `[inline]`

bool vmware::vapi::metadata::metamodel::ConstantInfo::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vapi::metadata::metamodel::ConstantInfo::_Validate | ( |  | ) | `[inline]`

override bool vmware::vapi::metadata::metamodel::ConstantInfo::Equals | ( | object | obj | ) | `[inline]`

vmware.vapi.metadata.metamodel.Type vmware::vapi::metadata::metamodel::ConstantInfo::Get_Type | ( |  | ) | `[inline]`

Type of the constant element.

string vmware::vapi::metadata::metamodel::ConstantInfo::GetDocumentation | ( |  | ) | `[inline]`

English language documentation for the constant element.

It can contain HTML markup and documentation tags (similar to Javadoc tags).

override int vmware::vapi::metadata::metamodel::ConstantInfo::GetHashCode | ( |  | ) | `[inline]`

vmware.vapi.metadata.metamodel.ConstantValue vmware::vapi::metadata::metamodel::ConstantInfo::GetValue | ( |  | ) | `[inline]`

Value of the constant element.

void vmware::vapi::metadata::metamodel::ConstantInfo::SetDocumentation | ( | string | documentation | ) | `[inline]`

English language documentation for the constant element.

It can contain HTML markup and documentation tags (similar to Javadoc tags).

void vmware::vapi::metadata::metamodel::ConstantInfo::SetType | ( | vmware.vapi.metadata.metamodel.Type | type | ) | `[inline]`

Type of the constant element.

void vmware::vapi::metadata::metamodel::ConstantInfo::SetValue | ( | vmware.vapi.metadata.metamodel.ConstantValue | value_ | ) | `[inline]`

Value of the constant element.

override string vmware::vapi::metadata::metamodel::ConstantInfo::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- ConstantInfo.cs